{
  config,
  lib,
  ...
}: let
  cfg = config.marleyos.programs.pidgin;
in {
  options.marleyos.programs.pidgin.enable = lib.mkEnableOption "pidgin";

  config = lib.mkIf cfg.enable {
    homebrew.casks = ["pidgin"];
  };
}
